# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Attributes | List of all members
DBus::DefaultMutex Class Reference

`#include <eventloop.h>`

## Public Member Functions

| DefaultMutex ()
| DefaultMutex (bool recursive)
| ~DefaultMutex ()
void | lock ()
void | unlock ()

## Private Attributes

pthread_mutex_t | _mutex

## Detailed Description

Definition at line 174 of file eventloop.h.

## Constructor & Destructor Documentation

## ◆ DefaultMutex() [1/2]

DefaultMutex::DefaultMutex | ( |  | ) |

Constructor for non recursive Mutex

Definition at line 79 of file eventloop.cpp.

References _mutex.

## ◆ DefaultMutex() [2/2]

DefaultMutex::DefaultMutex | ( | bool | recursive | ) |

Constructor

Parameters

  recursive | Set if Mutex should be recursive or not.

Definition at line 84 of file eventloop.cpp.

References _mutex.

## ◆ ~DefaultMutex()

DefaultMutex::~DefaultMutex | ( |  | ) |

Definition at line 97 of file eventloop.cpp.

References _mutex.

## Member Function Documentation

## ◆ lock()

void DefaultMutex::lock | ( |  | ) |

Definition at line 102 of file eventloop.cpp.

References _mutex.

## ◆ unlock()

void DefaultMutex::unlock | ( |  | ) |

Definition at line 107 of file eventloop.cpp.

References _mutex.

## Member Data Documentation

## ◆ _mutex

pthread_mutex_t DBus::DefaultMutex::_mutex

private

Definition at line 197 of file eventloop.h.

Referenced by DefaultMutex(), DefaultMutex(), lock(), unlock(), and ~DefaultMutex().

The documentation for this class was generated from the following files:

- eventloop.h
- eventloop.cpp